<template>
<section class="registrar-page">

  <div class="registrar-box2 registrar-sidebar">
    <div class="white-box">
      <form class="form-horizontal" id="registrarform" action="index.html">
        <el-form :model="Cadastro" :rules="Regras" ref="Cadastro" >

        <el-form>
            <el-alert title="Cadastrado com sucesso" type="success"  v-if="Cadastro.Alert" show-icon></el-alert>
            <div class="form-group">
            <div class="col-sm-12 text-center">
            <p class="p1"  v-if="Cadastro.Alert">Acessar tela de Login: <a href="#" class="text-primary"><b ><router-link to="/Login" class="b1">Login</router-link></b></a></p>
            </div>
            </div>
        </el-form>

            <el-alert title="Erro de email" type="error" description="Emails não Coincidem" v-if="Cadastro.AlertEmail" show-icon></el-alert>
            <el-alert title="Erro de senha" type="error" description="Senhas não Coincidem" v-if="Cadastro.AlertSenhas" show-icon></el-alert>
            <el-alert title="Erro de senha e email" description="Senhas e Emails não coincidem" type="error" v-if="Cadastro.AlertSenhasEmails" show-icon></el-alert>

                        <div class="row mt-5">
                           <div class="col-12 text-center">
                              <img src="@/assets/logo-icon.png" alt="" />
                           </div>           
                        </div>

                        <el-form-item label="Nome:" prop="Nome">
                            <el-input  v-model="Cadastro.Nome" clearable></el-input>
                        </el-form-item>

                        <el-form-item label="Email:" prop="Email">
                            <el-input  v-model="Cadastro.Email" clearable></el-input>
                        </el-form-item>

                        <el-form-item label="Confirmar Email:" prop="ConfirmaEmail">
                            <el-input  v-model="Cadastro.ConfirmaEmail" clearable></el-input>
                        </el-form-item>

                        <el-form-item label="Senha:" prop="Senha">
                            <el-input  v-model="Cadastro.Senha" type="password" clearable></el-input>
                        </el-form-item>

                        <el-form-item label="Confirmar Senha:" prop="ConfirmarSenha">
                            <el-input  v-model="Cadastro.ConfirmarSenha" type="password" clearable></el-input>
                        </el-form-item>                   

                        <div class="form-group">
                          <div class="col-sm-12 text-center">
                          <el-form-item>
                            <el-button type="primary" @click="submitForm('Cadastro')">Cadastrar</el-button>
                            <el-button @click="resetForm('Cadastro')">Limpar Dados</el-button>                          
                          </el-form-item>
                              <p class="p3">Voltar para tela de: <a href="#" class="text-primary"><b ><router-link to="/Login" class="b3">Login</router-link></b></a></p>
                            </div>
                        </div>
        </el-form>
      </form>
    </div>
  </div> 
</section>
</template>


<script>
  export default {
    data() {
      return {
        Cadastro: {
          Nome: '',
          Email:'',
          Senha:'',
          ConfirmaEmail:'',
          ConfirmarSenha:'',
          Alert: '',
          AlertEmail: '',
          AlertSenhas: '',
          AlertSenhasEmails: ''

        },
        Regras: {
          Nome: [
            { required: true, message: 'Inserir Nome de Usuário', trigger: 'change' },
            { min: 3, max: 60, message: 'Minimo de 3 letras', trigger: 'change' }
          ],
          Email: [
            { required: true, message: 'Insira um e-mail', trigger: 'blur' },
            { type: 'email', message: 'Inserir endereço de e-mail valido', trigger: 'blur,change' }
          ],
          ConfirmaEmail: [
            { required: true, message: 'Confirmar email', trigger: 'blur' },
            { type: 'email', message: 'Inserir endereço de e-mail valido', trigger: 'blur,change' }
          ],
          Senha: [
            { required: true, message: 'Inserir Senha', trigger: 'change'},
          ],
          ConfirmarSenha: [
            { required: true, message: 'Confirmar Senha', trigger: 'change' },
          ]

        }
      };
    },
    methods: {
      submitForm(Cadastro) {
        this.Cadastro.Alert=false;
        this.Cadastro.AlertEmail=false;
        this.Cadastro.AlertSenhas=false;
        this.Cadastro.AlertSenhasEmails=false;
        this.$refs[Cadastro].validate((valid) => {
          if (valid) {
            if(this.Cadastro.Email != this.Cadastro.ConfirmaEmail && this.Cadastro.Senha != this.Cadastro.ConfirmarSenha){
              this.Cadastro.AlertSenhasEmails=true;
            }else if(this.Cadastro.Senha != this.Cadastro.ConfirmarSenha){
              this.Cadastro.AlertSenhas=true;
            }else if(this.Cadastro.Email != this.Cadastro.ConfirmaEmail){
              this.Cadastro.AlertEmail=true;
            }else{
              this.Cadastro.Alert=true;
            }
          } else {
            console.log('error submit!!');
            return false;
          }
        });
      },
      resetForm(Cadastro) {
        this.$refs[Cadastro].resetFields();
      }
    }
  }
</script>


<style scoped>
.registrar-page{
  background:url(../assets/img/negocios.jpeg) no-repeat center center / cover !important;
  height:100%;
  position:fixed;
  width:100%;  
  margin:0 auto;
  box-shadow:1px 0px 50px rgba(0,0,0,0.2);
}
.registrar-box2{
  background:#1A2A40;
  opacity: 0.7;
  filter: alpha(opacity=50); /* For IE8 and earlier */
  width:400px;
  margin:0 auto;
  margin-top:10%;
}
.registrar-sidebar {
    position: absolute;
    right: 0px;
    margin-top: 0px;
    height: 100%;
}

.white-box{ 
    background:#1A2A40;
    padding:25px;
    margin-bottom:15px;
}
.p3{
  color:#FFFFFF 
}
.b3{
   color:#1E90FF
}
</style>

